#include <iostream>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    long long v;
    cin>>v;
    long long c=0;
    long long pet=5000000000000000000;
    long long dva=2000000000000000000;
    long long jedan=1000000000000000000;
    while(v>0){
        c+=v/pet;
        v=v%pet;
        c+=v/dva;
        v=v%dva;
        c+=v/jedan;
        v=v%jedan;
        pet/=10;
        dva/=10;
        jedan/=10;
    }
    cout<<c;
}